关于ant design vue 使用Modal无法关闭弹窗的解决思路


1: 出现问题的版本

"ant-design-vue": "^3.2.20",
"pinia": "^2.1.7",
"vue": "^3.3.9",

2.出现问题

Ant design vue 只支持vue3.2的版本。

(1)ant design 的问题

问题:ant design vue 使用Modal无法关闭弹窗
解决:将vue版本改为3.2.33
原因3.3版本需要使用ant-design4 版本

(2)poina的提示报错

问题:将vue版本改为3.2.33后重新安排运行项目,提示报错
pinia 2.1.7 和vue3.3.9没问题
pinia 2.1.7 和vue 3.2.33 提示以下报错

node_modules/.pnpm/pinia@2.1.7_typescript@5.5.2_vue@3.2.33/node_modules/pinia/dist/pinia.mjs:6:9:
6 │ import { hasInjectionContext, inject, toRaw, watch, unref, markRaw, effectScope, ref, isVue2, isRef, isReactive, set, getCurrentScope, onScopeDispose, getCurrentInstance…

解决:poina使用的是2.1.3版本,使用vue
解决: 将poina版本降级为2.0.36
原因:为什么是2.0.36版本???因为2.1.0版本需要的就是3.3的版本了
官网地址:https://github.com/vuejs/pinia/blob/v2/packages/pinia/CHANGELOG.md
在这里插入图片描述

3.正确版本

"ant-design-vue": "^3.2.20",
"pinia": "^2.0.36",
 "vue": "^3.2.33",

总结

在这里插入图片描述

相关推荐

最近更新

  1. android audio 相机按键音:(一)资源加载与替换

    2024-07-10 22:04:01       0 阅读
  2. 使用 Jenkins 实现持续集成和持续部署(CI/CD)

    2024-07-10 22:04:01       0 阅读

热门阅读

  1. stm32实现IIC读写

    2024-07-10 22:04:01       5 阅读
  2. 中小企业和数智化的距离,只差一块华为IdeaHub

    2024-07-10 22:04:01       8 阅读
  3. C# —— Directory类

    2024-07-10 22:04:01       5 阅读
  4. 在Ubuntu 22.04上安装Docker最新版本

    2024-07-10 22:04:01       5 阅读